Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring
Class SpringRegistry

    java.lang.Object
      org.mule.registry.AbstractRegistry
          org.mule.config.spring.SpringRegistry

All Implemented Interfaces:
  Disposable, Initialisable, Registry

    public class SpringRegistry

extends AbstractRegistry

Field Summary
`protected org.springframework.context.ApplicationContext` | `applicationContext`
`protected AtomicBoolean` | `initialised`
`static String` | `REGISTRY_ID`
`static String` | `SPRING_APPLICATION_CONTEXT` Key used to lookup Spring Application Context from SpringRegistry via Mule's Registry interface.

Fields inherited from class org.mule.registry.AbstractRegistry
`logger`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`SpringRegistry()`
`SpringRegistry(org.springframework.context.ApplicationContext applicationContext)`
`SpringRegistry(org.springframework.context.ConfigurableApplicationContext applicationContext, org.springframework.context.ApplicationContext parentContext)`
`SpringRegistry(String id)`
`SpringRegistry(String id, org.springframework.context.ApplicationContext applicationContext)`
`SpringRegistry(String id, org.springframework.context.ConfigurableApplicationContext applicationContext, org.springframework.context.ApplicationContext parentContext)`

Method Summary
`protected LifecycleManager` | `createLifecycleManager()`
`protected void` | `doDispose()`
`protected void` | `doInitialise()`
`boolean` | `isReadOnly()`
`boolean` | `isRemote()`
`Object` | `lookupObject(String key)` Look up a single object by name.
`
`<T> Collection`
` | `lookupObjects(Class<T> type)` Look up all objects of a given type.
`void` | `registerObject(String key, Object value)`
`void` | `registerObject(String key, Object value, Object metadata)`
`void` | `registerObjects(Map objects)`
`void` | `unregisterObject(String key)`
`void` | `unregisterObject(String key, Object metadata)`

Methods inherited from class org.mule.registry.AbstractRegistry
`dispose, getRegistryId, initialise, lookupObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REGISTRY_ID

    public static final String REGISTRY_ID

See Also:
  Constant Field Values

### SPRING_APPLICATION_CONTEXT

    public static final String SPRING_APPLICATION_CONTEXT

  Key used to lookup Spring Application Context from SpringRegistry via Mule's Registry interface.

  See Also:
    Constant Field Values

### applicationContext

    protected org.springframework.context.ApplicationContext applicationContext

### initialised

    protected AtomicBoolean initialised

Constructor Detail

### SpringRegistry

    public SpringRegistry()

### SpringRegistry

    public SpringRegistry(String id)

### SpringRegistry

    public SpringRegistry(org.springframework.context.ApplicationContext applicationContext)

### SpringRegistry

    public SpringRegistry(String id,
                          org.springframework.context.ApplicationContext applicationContext)

### SpringRegistry

    public SpringRegistry(org.springframework.context.ConfigurableApplicationContext applicationContext,
                          org.springframework.context.ApplicationContext parentContext)

### SpringRegistry

    public SpringRegistry(String id,
                          org.springframework.context.ConfigurableApplicationContext applicationContext,
                          org.springframework.context.ApplicationContext parentContext)

Method Detail

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Specified by:
    `doInitialise` in class `AbstractRegistry`
  Throws:
    `InitialisationException`

### doDispose

    protected void doDispose()

  Specified by:
    `doDispose` in class `AbstractRegistry`

### createLifecycleManager

    protected LifecycleManager createLifecycleManager()

### lookupObject

    public Object lookupObject(String key)

  Description copied from interface: `Registry`
  Look up a single object by name.

  Returns:
    object or null if not found

### lookupObjects

    public <T> Collection lookupObjects(Class<T> type)

  Description copied from interface: `Registry`
  Look up all objects of a given type.

  Returns:
    collection of objects or empty collection if none found

### registerObject

    public void registerObject(String key,
                               Object value)
                        throws RegistrationException

  Throws:
    `RegistrationException`

### registerObject

    public void registerObject(String key,
                               Object value,
                               Object metadata)
                        throws RegistrationException

  Throws:
    `RegistrationException`

### registerObjects

    public void registerObjects(Map objects)
                         throws RegistrationException

  Throws:
    `RegistrationException`

### unregisterObject

    public void unregisterObject(String key)

### unregisterObject

    public void unregisterObject(String key,
                                 Object metadata)
                          throws RegistrationException

  Throws:
    `RegistrationException`

### isReadOnly

    public boolean isReadOnly()

### isRemote

    public boolean isRemote()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.